Closed Bug 534421 Opened 12 years ago Closed 12 years ago

Intermittent failure in test_platform_colors.xul

Categories

(Core :: Widget: Cocoa, defect)

x86
macOS
defect
Not set
normal

Tracking

()

RESOLVED FIXED
mozilla1.9.3a1

People

(Reporter: philor, Assigned: mstange)

References

Details

(Keywords: intermittent-failure, regression)

Attachments

(1 file)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260626796.1260629156.29436.gz#err0
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/12 06:06:36
s: moz2-darwin9-slave09

8125 INFO Running chrome://mochikit/content/chrome/widget/tests/test_platform_colors.xul...
8126 ERROR TEST-UNEXPECTED-FAIL | chrome://mochikit/content/chrome/widget/tests/test_platform_colors.xul | received event I didn't expect: {"type":"mouseout","target":"box","screenX":173,"screenY":201}
testing color activeborder
Assignee: nobody → mstange
Status: NEW → ASSIGNED
Blocks: 527748
Keywords: regression
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260676058.1260677468.11621.gz#err0
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/12 19:47:38  
s: bm-xserve18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260688180.1260690126.18205.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/12 23:09:40
s: bm-xserve18

Just like the log in comment 1, this one was accompanied by a failure in browser_526613.js, with message "number of open browser windows according to getBrowserState - Got 2, expected 1".  It would appear that these two failures are connected...?
Whiteboard: [orange]
So this test failed three times today, when no failures had ever been reported before.

I'm going to go out on a limb and claim that this was a regression from mstange's push this morning.  That push included a number of mac & menu-specific changesets, and the affected test was added with a mac menus bug (Bug 518395), and it was the "blamed" push for the first test-failure here.

Suspected regression push-group:
 http://hg.mozilla.org/mozilla-central/pushloghtml?changeset=d379a17cbf8f

mstange: Given that you wrote the affected test & potentially pushed the regressing changeset, would you mind investigating this?
(In reply to comment #2)
> Just like the log in comment 1, this one was accompanied by a failure in
> browser_526613.js, with message "number of open browser windows according to
> getBrowserState - Got 2, expected 1".  It would appear that these two failures
> are connected...?

(Just kidding about this part -- that test just failed on its own, so I filed bug 534489 on it.)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260728662.1260730701.4033.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/13 10:24:22
s: bm-xserve16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260733047.1260737205.14036.gz
OS X 10.5.2 mozilla-central test everythingelse on 2009/12/13 11:37:27
s: moz2-darwin9-slave13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260741340.1260743871.24682.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/13 13:55:40
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260765919.1260768410.32136.gz
OS X 10.5.2 mozilla-central opt test everythingelse on 2009/12/13 20:45:19
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1260844430.1260847239.13477.gz
OS X 10.5.2 mozilla-central test everythingelse on 2009/12/14 18:33:50
s: moz2-darwin9-slave13
These error messages are actually from test_native_mouse_mac.xul, which runs directly before test_platform_colors.xul but doesn't remove its event listeners.
Seems fixed.
Status: ASSIGNED → RESOLVED
Closed: 12 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla1.9.3a1
Flags: in-testsuite+
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.